Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.cluster.cocoon
Class ClusterGenerator

    java.lang.Object
      org.apache.avalon.framework.logger.AbstractLogEnabled
          org.apache.cocoon.xml.AbstractXMLProducer
              org.apache.cocoon.generation.AbstractGenerator
                  org.exist.cluster.cocoon.ClusterGenerator

All Implemented Interfaces:
  org.apache.avalon.framework.component.Component, org.apache.cocoon.generation.Generator, org.apache.avalon.framework.logger.LogEnabled, org.apache.avalon.excalibur.pool.Poolable, org.apache.avalon.excalibur.pool.Recyclable, org.apache.cocoon.sitemap.SitemapModelComponent, org.apache.cocoon.xml.XMLProducer

public class ClusterGenerator
extends org.apache.cocoon.generation.AbstractGenerator

A Cocoon Generator which generates status information about running database instances, buffer usage and the like. Created by Nicola Breda.

Author:
  Nicola Breda aka maiale, David Frontini aka spider Date: 05-aug-2005 Time: 18.09.08 Revision $Revision: 3457 $

Field Summary
`static java.lang.String` | `NAMESPACE`
`static java.lang.String` | `PREFIX`

Fields inherited from interface org.apache.cocoon.generation.Generator
`ROLE`

Constructor Summary
`ClusterGenerator()`

Method Summary
`void` | `generate()`

Methods inherited from class org.apache.cocoon.generation.AbstractGenerator
`recycle, setup`

Methods inherited from class org.apache.cocoon.xml.AbstractXMLProducer
`setConsumer, setContentHandler, setLexicalHandler`

Methods inherited from class org.apache.avalon.framework.logger.AbstractLogEnabled
`enableLogging`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.cocoon.xml.XMLProducer
`setConsumer`

Field Detail

### NAMESPACE

    public static final java.lang.String NAMESPACE

See Also:
  Constant Field Values

### PREFIX

    public static final java.lang.String PREFIX

See Also:
  Constant Field Values

Constructor Detail

### ClusterGenerator

    public ClusterGenerator()

Method Detail

### generate

    public void generate()
                  throws java.io.IOException,
                         org.xml.sax.SAXException

  Throws:
    `java.io.IOException`
    `org.xml.sax.SAXException`
  See Also:
    `Generator.generate()`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.